Bug 964437 - Review Request: mingw-portmidi - Real-time Midi I/O Library
Review Request: mingw-portmidi - Real-time Midi I/O Library
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2013-05-18 10:54 EDT by Steve
Modified: 2016-02-08 15:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2013-05-18 10:54:35 EDT
Spec URL: https://www.box.com/s/fx4bwehrbc2yr1206itq
SRPM URL: https://www.box.com/s/kli19aumq1xznpizs67t
Description: PortMedia is a set of simple clean APIs and cross-platform library
implementations for music and other media. PortMidi sub-project provides a
real-time MIDI input/output library.
This is the MinGW version of a package that Fedora already has in its repository.
Fedora Account System Username: ulatekh
Comment 1 Steve 2013-05-18 10:57:22 EDT
This is my first package; I have a lot more to submit, if this is successful.
(My first priority is all of the dependent packages for the MinGW build of Mixxx, http://www.mixxx.org/ .)
Comment 2 Steve 2013-05-21 13:53:26 EDT
fedora-review found no major issues.  The only fixable one it brought up was that both $RPM_BUILD_ROOT and %{buildroot} were being used; I've fixed that locally.
It gave me a bogus error about not using parallel make; I am.
Hopefully this helps push this package's review along...I have a LOT more I want to submit :-)
Comment 3 greg.hellings 2013-05-21 14:08:36 EDT
The error about not using parallel make is because you think you are, but you're not.

You have
%{mingw_make} %{?_smp_flags}
It should be
%{mingw_make} %{?_smp_mflags}

I'm curious as to why you're manually installing what seems to be all of the generated files. That doesn't seem right.

I also don't think we do Desktop files in MinGW.

You should include, at the least, any license files as %doc arguments in MinGW packages. However, other documentation that is present in a native package (e.g. man pages, etc) is not to be in MinGW. As such you can probably leave off the doxygen invocation during build.

I also don't believe we like to keep around all the past Changelog when we create a new port to MinGW. At least I don't keep it lying around.

This is not an official review, just some notes I see while looking through your Spec file.
Comment 4 Steve 2013-05-21 15:35:48 EDT
>The error about not using parallel make is because you think you are,
>but you're not.

Ack!  Good catch! :-)  It's wrong in the existing Fedora version of portmidi, too.  However, I'm also getting that error when running fedora-review on my mingw-protobuf, and it's using %{?_smp_mflags}.

I'm manually installing some of the files because I can't figure out why they're not being installed.  That seems to be an existing issue with Fedora's portmidi; the hand-installation of pm_common/pmutil.h comes from there.

I've removed the desktop files, re-added the documentation files, and cleared the changelog.

A new source RPM is available at https://www.box.com/s/1i41ub7x6dnlb6bvknix .  A new spec file is available at https://www.box.com/s/fkrkwyup790tgfetmevn .

Thank you for your unofficial review!
Comment 5 Michael Schwendt 2013-06-15 16:14:13 EDT
Steve, if you are serious about joining as a Fedora package maintainer, you could check out the following process

  https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

and notice it even mentions a way to request a convenient upload place for your packages/spec files. Potential reviewers will appreciate a less interactive download. Advertizing the review requests and your plans could be helpful, too. And since there are other MinGW based packages in the review queue, trading reviews would be another recommended idea (even before you would be permitted to approve reviewed packages):
  http://fedoraproject.org/PackageReviewStatus/
Comment 6 Michael Schwendt 2014-01-12 15:31:56 EST
Has anything been tried meanwhile?

Has the Fedora MinGW SIG been contacted yet?
https://fedoraproject.org/wiki/MinGW

Note You need to log in before you can comment on or make changes to this bug.